Bug 521761 - kernel sometimes fails to complete boot (initrd?) - thinkpad T60p
Summary: kernel sometimes fails to complete boot (initrd?) - thinkpad T60p
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 09:01 UTC by Nigel Jones
Modified: 2009-10-21 16:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-21 16:53:28 UTC


Attachments (Terms of Use)

Description Nigel Jones 2009-09-08 09:01:29 UTC
Description of problem:
Thinkpad T60p regularly fails to boot with 2.6.30/31 kernels (F11 and F12/rawhide)
In all cases what happens is that the kernel itself boots, but appears to fail prior to launching the initrd
Last lines seen on console are
Checking 'hlt' instruction... OK.
ACPI: Core revision 20090521

If the system is rebooted immediately (power off/on) the same thing usually happens
When this occurs, if the machine is powered off for ~15 minutes, the next boot is usually fine
Additionally if the system was previously running at say a CPU temp of 62 deg.C and then rebooted it still occurs, so am not convinced it's purely heat related
It could be hw/bios/acpi/initrd/kernel

With the recent F12 kernels I've built a initrd locally, and still had same issues.

Think this started with using .30 kernels on F11.


Version-Release number of selected component (if applicable):
kernel-PAE
2.6.31-0.204.rc9.fc12
x86 processor (32 bit)

How reproducible:
Fairly easy.

Steps to Reproduce:
1.attempt to reboot
2.
3.
  
Actual results:
fails to boot

Expected results:
books ok, starts initrd

Additional info:
to be added when system boots..

Comment 1 Nigel Jones 2009-10-20 13:52:00 UTC
I'm no longer getting this after re-initializing the bios a few times. Whether it's that, or a fix in later kernels I can't be sure, but right now I cannot repro this.

Comment 2 Jérôme Glisse 2009-10-21 16:53:28 UTC
So closing this bug reopen if you experience this issue with newer kernel again.


Note You need to log in before you can comment on or make changes to this bug.